import Cache from './Cache';
import { Chains } from './collector';
import { ConfigList, Dependency, Source } from './reduceChains';
import Verifier from './Verifier';
export default class ResolvedConfig {
    readonly cache?: Cache;
    readonly babelrcDir?: string;
    readonly dependencies: Dependency[];
    readonly envNames: Set<string>;
    readonly fixedSourceHashes: Map<string, string>;
    readonly sources: Source[];
    readonly unflattenedDefaultOptions: ConfigList;
    readonly unflattenedEnvOptions: Map<string, ConfigList>;
    constructor(chains: Chains, cache?: Cache);
    createVerifier(): Promise<Verifier>;
    generateModule(): string;
}
