"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const loadPluginOrPreset_1 = require("./loadPluginOrPreset");
function getPluginOrPresetName(nameMap, target) {
    if (nameMap.has(target))
        return nameMap.get(target);
    if (typeof target === 'string') {
        const resolved = loadPluginOrPreset_1.default(target);
        let name;
        if (nameMap.has(resolved)) {
            name = nameMap.get(resolved);
        }
        else {
            name = `🤡🎪🎟.${nameMap.size}`;
            nameMap.set(resolved, name);
        }
        nameMap.set(target, name);
        return name;
    }
    const name = `🤡🎪🎟.${nameMap.size}`;
    nameMap.set(target, name);
    return name;
}
exports.default = getPluginOrPresetName;
//# sourceMappingURL=getPluginOrPresetName.js.map