"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function mergePluginsOrPresets(target, source) {
    const reverseLookup = new Map(target.map((item, index) => {
        return [item.name, index];
    }));
    for (const item of source) {
        if (reverseLookup.has(item.name)) {
            target[reverseLookup.get(item.name)] = item;
        }
        else {
            target.push(item);
        }
    }
}
exports.default = mergePluginsOrPresets;
//# sourceMappingURL=mergePluginsOrPresets.js.map