"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const gfs = require("graceful-fs");
function readSafe(source, cache) {
    if (cache && cache.files.has(source)) {
        return cache.files.get(source);
    }
    const isFile = new Promise(resolve => {
        gfs.stat(source, (err, stat) => {
            resolve(!err && stat.isFile());
        });
    });
    const promise = new Promise((resolve, reject) => {
        gfs.readFile(source, (err, contents) => __awaiter(this, void 0, void 0, function* () {
            if (!(yield isFile)) {
                resolve(null);
            }
            else if (err) {
                reject(err);
            }
            else {
                resolve(contents);
            }
        }));
    });
    if (cache) {
        cache.files.set(source, promise);
    }
    return promise;
}
exports.default = readSafe;
//# sourceMappingURL=readSafe.js.map