import { PluginOrPresetList } from './BabelOptions';
import Cache from './Cache';
import { Chains, Config } from './collector';
export interface PresetObject {
    plugins?: PluginOrPresetList;
    presets?: PluginOrPresetList;
}
export declare const enum Kind {
    PLUGIN = "plugin",
    PRESET = "preset",
}
export interface Entry {
    filename: string;
    fromPackage: string | null;
}
export declare type Resolutions = {
    plugins: Map<string, Entry>;
    presets: Map<string, Entry>;
};
export declare type ResolutionMap = Map<Config, Resolutions>;
export default function resolvePluginsAndPresets(chains: Chains, sharedCache?: Cache): ResolutionMap;
